--
-- $Id$
--
-- Update kostensoort van factuur 110235 naar CF BEWAK 2.2.10 (=key 6)

DEFINE thisfile = 'AAAH#38851.SQL'
DEFINE dbuser   = '^AAAH'
DEFINE custid   = 'AAAH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Update kostensoort van factuur 110235 naar CF BEWAK 2.2.10 (=key 6)
UPDATE   fin_factuur
   SET   prs_kostensoort_key = 6
 WHERE   fin_factuur_key = 110235;
 
-- Voeg ook tracking toe. Key 89 = FINUPD 
 INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
  VALUES   (SYSDATE,
            89,
            110235,
            'Kostensoort op verzoek van AAFM aanpepast naar CF BEWAK 2.2.10');

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

-- @@ &custid